Subject: [[email-masked]: Re: FVWM: Building a decent Panel?]

From: [email-masked]
Date: Mon, 14 Apr 2003 15:24:37 +0200

From: Mikhael Goikhman <[email-masked]>
Subject: Re: FVWM: Building a decent Panel?
To: "Felix E. Klee" <[email-masked]>
Cc: FVWM <[email-masked]>
X-Sent: 3 hours, 44 minutes, 45 seconds ago

On 13 Apr 2003 11:52:32 +0200, Felix E. Klee wrote:
> 
> I would like to set up a panel that is similar to Gnome's panel or KDE's 
> kicker. Some neccessary features that I absolutely need are:
> 1. A button that shows the applications menu
> 2. A list of the windows on the current desktop
> 3. The pager
> 4. A Clock
> 5. Autohide
> 
> I know that there is FvwmTaskbar and FvwmButtons. But FvwmTaskbar doesn't 
> support the pager and FvwmButtons doesn't support autohide.
> 
> Any ideas how to forge such a thing?
> 
> BTW, I'm willing to upgrade to the latest unstable FVWM version if that's 
> neccessary.

You should use FvwmButtons.

You may implement auto-hide of any window, here is how I just did it for
a fun with my persistent pager (for 2.5.x only):

  DestroyModuleConfig FvwmEvent-AutoHide: *
  *FvwmEvent-AutoHide: PassId
  *FvwmEvent-AutoHide: enter_window AutoUnHide
  *FvwmEvent-AutoHide: leave_window AutoHide

  DestroyFunc AutoUnHide
  AddToFunc   AutoUnHide
  + I WindowId $0 (FvwmPager-Desker,    Shaded) WindowShade false
  + I WindowId $0 (FvwmButtons-MyPanel, Shaded) WindowShade false

  DestroyFunc AutoHide
  AddToFunc   AutoHide
  + I WindowId $0 (FvwmPager-Desker,    !HasPointer) WindowShade true
  + I WindowId $0 (FvwmButtons-MyPanel, !HasPointer) WindowShade true

  AddToFunc StartFunction
  + I FvwmEvent FvwmEvent-AutoHide

You may implement a timeout for autohiding too, there were some examples
in the archive using the similar technology and Schedule command.

If you have your panel on the screen bottom (or on the left) use this:

  Style FvwmButtons-MyPanel NoTitle, TitleAtBottom  # or TitleAtLeft

so it shades a window to the corresponding direction, not just to the up.

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

----------

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].